<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
              <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
              <a href="javascript:void(0);"><cite>编辑内容</cite></a>
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <div class="layui-form-item">
                    <label class="layui-form-label">素材标题</label>
                    <div class="layui-input-block">
                        <input type="text" id="materialStoreTitle" name="materialStoreTitle" class="layui-input" value="" placeholder="请输入素材标题"  maxlength="200">
                    </div>
                </div>
                <div class="layui-form-item" pane>
                    <label class="layui-form-label">是否公开素材包的内容1:是,0:否</label>
                    <div class="layui-input-block" id="materialStoreOpenRadioTemplateBox" lay-filter="materialStoreOpenRadioTemplateBox"></div>
                    <script id="materialStoreOpenRadioTemplate" type="text/html">
                        {{# for(var i = 0, item; item = d[i++];) { }}
                        <input type="radio" name="materialStoreOpen" value="{{item.selectId}}" title="{{item.selectName}}">
                        {{# } }}
                    </script>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">素材包排序</label>
                    <div class="layui-input-block">
                        <input type="number" id="materialStoreOrder" name="materialStoreOrder" class="layui-input" value="" placeholder="请输入素材包排序" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item" pane>
                    <label class="layui-form-label">发布状态0:不发布,1:发布</label>
                    <div class="layui-input-block" id="materialStoreStatusRadioTemplateBox" lay-filter="materialStoreStatusRadioTemplateBox"></div>
                    <script id="materialStoreStatusRadioTemplate" type="text/html">
                        {{# for(var i = 0, item; item = d[i++];) { }}
                        <input type="radio" name="materialStoreStatus" value="{{item.selectId}}" title="{{item.selectName}}">
                        {{# } }}
                    </script>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">素材封面/预留</label>
                    <div class="layui-input-block">
                        <input type="text" id="materialStorePhoto" name="materialStorePhoto" class="layui-input" value="" placeholder="请输入素材封面/预留"  maxlength="36">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">素材类型(数据字典)/预留</label>
                    <div class="layui-input-block layui-form" id="materialStoreTypeSelectTemplateBox" lay-filter="materialStoreTypeSelectTemplateBox"></div>
                    <script id="materialStoreTypeSelectTemplate" type="text/html">
                        <select id="materialStoreType" name="materialStoreType">
                            <option value="">请选择素材类型(数据字典)/预留</option>
                            {{# for(var i = 0, item; item = d[i++];) { }}
                            <option value="{{item.selectId}}">{{item.selectName}}</option>
                            {{# } }}
                        </select>
                    </script>
                </div>
                <div class="layui-form-item" pane>
                    <label class="layui-form-label">审核状态0未通过1待审核2审核通过</label>
                    <div class="layui-input-block" id="materialStoreCheckStatusRadioTemplateBox" lay-filter="materialStoreCheckStatusRadioTemplateBox"></div>
                    <script id="materialStoreCheckStatusRadioTemplate" type="text/html">
                        {{# for(var i = 0, item; item = d[i++];) { }}
                        <input type="radio" name="materialStoreCheckStatus" value="{{item.selectId}}" title="{{item.selectName}}">
                        {{# } }}
                    </script>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">审核备注</label>
                    <div class="layui-input-block">
                        <input type="text" id="materialStoreCheckRemark" name="materialStoreCheckRemark" class="layui-input" value="" placeholder="请输入审核备注"  maxlength="500">
                    </div>
                </div>
                <div class="layui-form-item" pane>
                    <label class="layui-form-label">素材模式1(基础*后台管理人创建),2(原创*用户新建),3(转载*在系统的基础上做修改)</label>
                    <div class="layui-input-block" id="materialStoreModeRadioTemplateBox" lay-filter="materialStoreModeRadioTemplateBox"></div>
                    <script id="materialStoreModeRadioTemplate" type="text/html">
                        {{# for(var i = 0, item; item = d[i++];) { }}
                        <input type="radio" name="materialStoreMode" value="{{item.selectId}}" title="{{item.selectName}}">
                        {{# } }}
                    </script>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">素材包预览静态页地址</label>
                    <div class="layui-input-block">
                        <input type="text" id="materialStoreUrl" name="materialStoreUrl" class="layui-input" value="" placeholder="请输入素材包预览静态页地址"  maxlength="200">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">素材包置顶</label>
                    <div class="layui-input-block">
                        <input type="text" id="materialStoreTop" name="materialStoreTop" class="layui-input" value="" placeholder="请输入素材包置顶"  maxlength="1">
                    </div>
                </div>
                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">提交编辑</button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="assets/js/vendor/wangEditor/wangEditor.min.js"></script>
<script src="assets/js/vendor/ckplayer/ckplayer/ckplayer.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;
        var materialStoreId = top.restAjax.params(window.location.href).materialStoreId;

        var wangEditor = window.wangEditor;
        var wangEditorObj = {};
        var viewerObj = {};

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        function refreshDownloadTemplet(fileName, file) {
            var dataRander = {};
            dataRander[fileName] = file;

            laytpl(document.getElementById(fileName +'FileDownload').innerHTML).render(dataRander, function(html) {
                document.getElementById(fileName +'FileBox').innerHTML = html;
            });
        }

        // 初始化文件列表
        function initFileList(fileName, ids, callback) {
            var dataForm = {};
            dataForm[fileName] = ids;
            form.val('dataForm', dataForm);

            if(!ids) {
                refreshDownloadTemplet(fileName, []);
                if(callback) {
                    callback(fileName, []);
                }
                return;
            }

            top.restAjax.get(top.restAjax.path('api/file/list', []), {
                ids: ids
            }, null, function(code, data) {
                refreshDownloadTemplet(fileName, data);
                if(callback) {
                    callback(fileName, data);
                }
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化视频
        function initVideo(fileName, data) {
            for(var i = 0, item; item = data[i++];) {
                var player = new ckplayer({
                    container: '#'+ fileName + i,
                    variable: 'player',
                    flashplayer: false,
                    video: {
                        file: 'route/file/download/true/'+ item.fileId,
                        type: 'video/mp4'
                    }
                });
            }
        }

        // 初始化是否公开素材包的内容1:是,0:否单选
        function initMaterialStoreOpenRadio(selectValue) {
            top.restAjax.get(top.restAjax.path('api/url/selectUrl', []), {}, null, function(code, data, args) {
                laytpl(document.getElementById('materialStoreOpenRadioTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('materialStoreOpenRadioTemplateBox').innerHTML = html;
                });
                form.render('radio', 'materialStoreOpenRadioTemplateBox');

                var radioObj = {};
                radioObj['materialStoreOpen'] = selectValue;
                form.val('dataForm', radioObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化发布状态0:不发布,1:发布单选
        function initMaterialStoreStatusRadio(selectValue) {
            top.restAjax.get(top.restAjax.path('api/url/selectUrl', []), {}, null, function(code, data, args) {
                laytpl(document.getElementById('materialStoreStatusRadioTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('materialStoreStatusRadioTemplateBox').innerHTML = html;
                });
                form.render('radio', 'materialStoreStatusRadioTemplateBox');

                var radioObj = {};
                radioObj['materialStoreStatus'] = selectValue;
                form.val('dataForm', radioObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化素材类型(数据字典)/预留下拉选择
        function initMaterialStoreTypeSelect(selectValue) {
            top.restAjax.get(top.restAjax.path('api/url/selectUrl', []), {}, null, function(code, data, args) {
                laytpl(document.getElementById('materialStoreTypeSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('materialStoreTypeSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'materialStoreTypeSelectTemplateBox');

                var selectObj = {};
                selectObj['materialStoreType'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化审核状态0未通过1待审核2审核通过单选
        function initMaterialStoreCheckStatusRadio(selectValue) {
            top.restAjax.get(top.restAjax.path('api/url/selectUrl', []), {}, null, function(code, data, args) {
                laytpl(document.getElementById('materialStoreCheckStatusRadioTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('materialStoreCheckStatusRadioTemplateBox').innerHTML = html;
                });
                form.render('radio', 'materialStoreCheckStatusRadioTemplateBox');

                var radioObj = {};
                radioObj['materialStoreCheckStatus'] = selectValue;
                form.val('dataForm', radioObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化素材模式1(基础*后台管理人创建),2(原创*用户新建),3(转载*在系统的基础上做修改)单选
        function initMaterialStoreModeRadio(selectValue) {
            top.restAjax.get(top.restAjax.path('api/url/selectUrl', []), {}, null, function(code, data, args) {
                laytpl(document.getElementById('materialStoreModeRadioTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('materialStoreModeRadioTemplateBox').innerHTML = html;
                });
                form.render('radio', 'materialStoreModeRadioTemplateBox');

                var radioObj = {};
                radioObj['materialStoreMode'] = selectValue;
                form.val('dataForm', radioObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }


        // 初始化内容
        function initData() {
            var loadLayerIndex;
            top.restAjax.get(top.restAjax.path('api/materialstore/get/{materialStoreId}', [materialStoreId]), {}, null, function(code, data) {
                var dataFormData = {};
                for(var i in data) {
                    dataFormData[i] = data[i] +'';
                }
                form.val('dataForm', dataFormData);
                form.render(null, 'dataForm');
                initMaterialStoreOpenRadio(data['materialStoreOpen']);
                initMaterialStoreStatusRadio(data['materialStoreStatus']);
                initMaterialStoreTypeSelect(data['materialStoreType']);
                initMaterialStoreCheckStatusRadio(data['materialStoreCheckStatus']);
                initMaterialStoreModeRadio(data['materialStoreMode']);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.loading, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        }
        initData();
        
        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.put(top.restAjax.path('api/materialstore/update/{materialStoreId}', [materialStoreId]), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.updateSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            window.location.reload();
                        },
                        btn2: function() {
                            closeBox();
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });

        $('.close').on('click', function() {
            closeBox();
        });

        // 校验
        form.verify({
        });
    });
</script>
</body>
</html>